Class | Tk::Iwidgets::Canvasprintdialog
In: | tk/lib/tkextlib/iwidgets/canvasprintdialog.rb
Parent: | Tk::Iwidgets::Dialog

### Methods

get_output print refresh set_canvas

### Constants

TkCommandNames | = | ['::iwidgets::canvasprintdialog'.freeze].freeze
WidgetClassName | = | 'Canvasprintdialog'.freeze

### Public Instance methods

get_output()

[Source]

    # File tk/lib/tkextlib/iwidgets/canvasprintdialog.rb, line 21
      def get_output
        tk_call(@path, 'getoutput')
      end

print()

[Source]

    # File tk/lib/tkextlib/iwidgets/canvasprintdialog.rb, line 25
      def print
        bool(tk_call(@path, 'print'))
      end

refresh()

[Source]

    # File tk/lib/tkextlib/iwidgets/canvasprintdialog.rb, line 29
      def refresh
        tk_call(@path, 'refresh')
        self
      end

set_canvas(win)

[Source]

    # File tk/lib/tkextlib/iwidgets/canvasprintdialog.rb, line 34
      def set_canvas(win)
        tk_call(@path, 'setcanvas', win)
        self
      end

[Validate]